Package com.xebialabs.deployit.plugin.api.udm

# Class CompositePackage

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.Version
com.xebialabs.deployit.plugin.api.udm.CompositePackage

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="(Deprecated) A container of DeploymentPackages that is a DeploymentPackage itself. ") @Deprecated public class CompositePackage extends Version
Deprecated.
Using dependencies and multi-application deployments you can now do what you previously needed udm.CompositePackage s for.
A `Version` of an `Application` which can contain a list of other `Version`s, as well as artifacts and resource specifications (a collection of `Deployable`s) that can be deployed onto a `Container`. Please note that the word package can be used to refer to a `Version`. In this case the definition makes more sense, as a CompositePackage can contain a list of other packages.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositePackage()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Deployable>`
  `getDeployables()`
  Deprecated.
  `List<Version>`
  `getPackages()`
  Deprecated.

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.Version

  `getApplication, getOrchestrator, getVersion, setApplication, setOrchestrator`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompositePackage

    public CompositePackage()
    Deprecated.

- ## Method Details

  - ### getPackages

    public List<Version> getPackages()
    Deprecated.
    Returns:
      The list of member packages (`Version` objects).

  - ### getDeployables

    public Set<Deployable> getDeployables()
    Deprecated.
    Specified by:
      `getDeployables` in class `Version`
    Returns:
      A collection of artifacts and resource specifications (`Deployable` objects)